Bug 824118 - [abrt] python-2.7.3-1.fc16: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-1.fc16: Process /usr/bin/python2.7 was killed by signal 1...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
abrt_hash:20b5b3a4e0200037bd2e9c5969c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 14:58 EDT by Dario Castellarin
Modified: 2013-02-13 09:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:06:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (15.29 KB, text/plain)
2012-05-22 14:58 EDT, Dario Castellarin
no flags Details
File: backtrace (109.65 KB, text/plain)
2012-05-22 14:58 EDT, Dario Castellarin
no flags Details
File: maps (65.03 KB, text/plain)
2012-05-22 14:58 EDT, Dario Castellarin
no flags Details

  None (edit)
Description Dario Castellarin 2012-05-22 14:58:35 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/nicotine
comment:        I tried to open nicotine+ on a hotel wireless.
executable:     /usr/bin/python2.7
kernel:         3.3.6-3.fc16.x86_64
pid:            2633
pwd:            /home/dario
time:           mar 22 mag 2012 20:47:15 CEST
uid:            1000
username:       dario
var_log_messages: May 22 20:47:17 dario-laptop abrt[2646]: Saved core dump of pid 2633 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-05-22-20:47:15-2633 (145100800 bytes)
xsession_errors: 

backtrace:      Text file, 112284 bytes
dso_list:       Text file, 15660 bytes
maps:           Text file, 66587 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=dario-laptop
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=f982ecde15252d551ac4e4ec00000010-1337711981.208562-397636257
:GNOME_KEYRING_CONTROL=/tmp/keyring-mW0tpi
:IMSETTINGS_MODULE=none
:USER=dario
:USERNAME=dario
:MAIL=/var/spool/mail/dario
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/dario/.local/bin:/home/dario/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/dario
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1467
:LANG=it_IT.utf8
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:GDM_LANG=it_IT.utf8
:LOADEDMODULES=
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/dario
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=dario
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-lf5pVvEs2j,guid=47f672d1cbdfe02adcbe9c1300000024
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/dario
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-dario-f12cft/database
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1471,unix/unix:/tmp/.ICE-unix/1471
:GPG_AGENT_INFO=/tmp/keyring-mW0tpi/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-mW0tpi/ssh
:LC_TIME=it_IT.utf8
:LC_NUMERIC=it_IT.utf8
:LC_MONETARY=it_IT.utf8
:LC_MEASUREMENT=it_IT.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1693-dario-laptop-nicotine-2_TIME480588
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/nicotine.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2633

event_log:
:2012-05-22-20:48:04> Interrogazione settaggio server
:2012-05-22-20:48:05  Preparazione archivio da caricare
:2012-05-22-20:48:14  Upload 8 megabyte
:2012-05-22-20:48:24  Caricamento di 7%
:2012-05-22-20:48:34  Caricamento di 15%
:2012-05-22-20:48:44  Caricamento di 22%
:2012-05-22-20:48:54  Caricamento di 29%
:2012-05-22-20:49:04  Caricamento di 35%
:2012-05-22-20:49:14  Caricamento di 43%
:2012-05-22-20:49:24  Caricamento di 50%
:2012-05-22-20:49:34  Caricamento di 55%
:2012-05-22-20:49:44  Caricamento di 61%
:2012-05-22-20:49:54  Caricamento di 69%
:2012-05-22-20:50:04  Caricamento di 75%
:2012-05-22-20:50:14  Caricamento di 81%
:2012-05-22-20:50:24  Caricamento di 85%
:2012-05-22-20:50:34  Caricamento di 89%
:2012-05-22-20:50:44  Caricamento di 94%
:2012-05-22-20:50:54  Caricamento di 99%
:2012-05-22-20:50:54  Caricamento completato con successo
:2012-05-22-20:50:57  Avviato lavoro di tracciamento
:2012-05-22-20:51:08  Analyzing crash data
:2012-05-22-20:51:23  Initializing virtual root
:2012-05-22-20:51:35  Initializing virtual root
:2012-05-22-20:51:47  Initializing virtual root
:2012-05-22-20:51:58  Initializing virtual root
:2012-05-22-20:52:09  Initializing virtual root
:2012-05-22-20:52:20  Initializing virtual root
:2012-05-22-20:52:31  Initializing virtual root
:2012-05-22-20:52:42  Initializing virtual root
:2012-05-22-20:52:54  Initializing virtual root
:2012-05-22-20:53:05  Initializing virtual root
:2012-05-22-20:53:16  Initializing virtual root
:2012-05-22-20:53:27  Initializing virtual root
:2012-05-22-20:53:38  Initializing virtual root
:2012-05-22-20:53:49  Initializing virtual root
:2012-05-22-20:54:00  Initializing virtual root
:2012-05-22-20:54:10  Initializing virtual root
:2012-05-22-20:54:21  Initializing virtual root
:2012-05-22-20:54:32  Initializing virtual root
:2012-05-22-20:54:44  Initializing virtual root
:2012-05-22-20:54:55  Initializing virtual root
:2012-05-22-20:55:06  Initializing virtual root
:2012-05-22-20:55:17  Initializing virtual root
:2012-05-22-20:55:28  Initializing virtual root
:2012-05-22-20:55:39  Initializing virtual root
:2012-05-22-20:55:50  Cleaning up virtual root
:2012-05-22-20:56:01  Retrace job finished successfully
:2012-05-22-20:57:24> Element 'xsession_errors' saved
:2012-05-22-20:57:25> Smolt profile successfully saved

smolt_data:
:
:
:Generale
:=================================
:UUID: b7b58522-9e5c-4935-875c-067afb26650d
:OS: Fedora release 16 (Verne)
:Run level predefinito: Unknown
:Linguaggio: it_IT.utf8
:Piattaforma: x86_64
:BogoMIPS: 4189.33
:Venditore CPU: GenuineIntel
:Modello CPU: Intel(R) Core(TM)2 Duo CPU     T8100  @ 2.10GHz
:CPU Stepping: 6
:Famiglia della CPU: 6
:Numero modello CPU: 23
:Numero di CPU: 2
:Velocità CPU: 2101
:Memoria di sistema: 3954
:Swap di sistema: 6015
:Venditore: -
:Sistema: N/A N/A
:Form factor: Notebook
:Kernel: 3.3.6-3.fc16.x86_64
:SELinux abilitato: 1
:Politica di SELinux: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivi
:=================================
:(32902:10752:5312:37) pci, None, HOST/PCI, Mobile PM965/GM965/GL960 Memory Controller Hub
:(32902:10753:37:37) pci, pcieport, PCI/PCI, Mobile PM965/GM965/GL960 PCI Express Root Port
:(5348:5779:5312:37) pci, tg3, ETHERNET, NetLink BCM5787M Gigabit Ethernet PCI Express
:(32902:10302:5312:37) pci, i801_smbus, SERIAL, 82801H (ICH8 Family) SMBus Controller
:(32902:10281:5312:37) pci, ahci, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
:(32902:10320:5312:37) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller
:(32902:10261:5312:37) pci, None, PCI/ISA, 82801HEM (ICH8M) LPC Interface Controller
:(32902:16937:32902:4353) pci, iwl4965, NETWORK, PRO/Wireless 4965 AG or AGN
:(32902:9288:5312:37) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10289:5312:37) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #2
:(32902:10288:5312:37) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #1
:(32902:10290:5312:37) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #3
:(32902:10294:5312:37) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #1
:(32902:10298:5312:37) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #2
:(32902:10307:5312:37) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 3
:(32902:10309:5312:37) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 4
:(32902:10303:5312:37) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 1
:(32902:10305:5312:37) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 2
:(32902:10311:5312:37) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 5
:(32902:10315:5312:37) pci, snd_hda_intel, MULTIMEDIA, 82801H (ICH8 Family) HD Audio Controller
:(32902:10292:5312:37) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #4
:(4480:2082:5312:37) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(4480:2098:5312:37) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(32902:10293:5312:37) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #5
:(4318:1031:5312:37) pci, nouveau, VIDEO, G84 [GeForce 8600M GT]
:(32902:10313:5312:37) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 6
:(4480:1426:5312:37) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:
:
:Informazioni sul filesystem
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_dariolaptop-lv_root / ext4 4096 4096 13081819 11399822 10744462 3276800 3109420 3109420
:/dev/sda3 /boot ext4 1024 1024 508745 410101 384501 128016 127785 127785
:/dev/mapper/vg_dariolaptop-lv_home /home ext4 4096 4096 56023751 26096561 23292030 14024704 13960966 13960966
:
Comment 1 Dario Castellarin 2012-05-22 14:58:42 EDT
Created attachment 586132 [details]
File: dso_list
Comment 2 Dario Castellarin 2012-05-22 14:58:46 EDT
Created attachment 586133 [details]
File: backtrace
Comment 3 Dario Castellarin 2012-05-22 14:58:51 EDT
Created attachment 586134 [details]
File: maps
Comment 4 Dave Malcolm 2012-05-22 15:58:13 EDT
Thanks for filing this bug report.

How reproducible is this problem?

Looking at attachment 586133 [details], frame #1 segfaulted within  a call to PyString_FromString(NULL) within a call to PyErr_SetString().  Unfortunately frames 2-12 of that thread are missing debug info, so it's hard to tell exactly where this invalid call to PyString_FromString came from.
Comment 5 Dario Castellarin 2012-05-22 18:45:42 EDT
It happens everytime I start nicotine+ on this network. I suspect it's because it tries to use miniupnpc trought its python module on an upnp-less network.
I compiled miniupnpc myself as there's no Fedora package for it, so maybe it's not even Fedora's "fault".
I'm not really sure on how I can provide you with more information, let me know!



P.S. I'll be in this hotel for the next 2 days, but as I'm on work travel, I'll be busy most of the time...
Comment 6 Thomas Spura 2012-05-23 05:18:29 EDT
(In reply to comment #5)
> It happens everytime I start nicotine+ on this network. I suspect it's
> because it tries to use miniupnpc trought its python module on an upnp-less
> network.
> I compiled miniupnpc myself as there's no Fedora package for it, so maybe
> it's not even Fedora's "fault".

You could try to build and install miniupnpc from bug #817311 and you'll end up having proper debug information, when you install the debuginfo package (and redo the backtrace on your computer and not via the retrace server)

A scratch build (with rpms) is over here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4095832

(CC'ing the maintainer of miniupnpc)
Comment 7 Dario Castellarin 2012-05-23 09:08:29 EDT
Alright, I'll do that tonight (CET time).
Comment 8 Fedora End Of Life 2013-01-16 08:20:44 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 09:06:39 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.